// Code generated by protoc-gen-go. DO NOT EDIT.
// source: StreamOneContactsFromManyFiles/rrs/phoneBookRRS.proto

/*
Package rrs is a generated protocol buffer package.

It is generated from these files:
	StreamOneContactsFromManyFiles/rrs/phoneBookRRS.proto

It has these top-level messages:
	MessResponse
	ContactRequest
*/
package rrs

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import model "gitlab.com/jaroslav.kuchmij/phoneBookOneHundredMillionEntries_Client.git/StreamOneContactsFromManyFiles/model"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"

)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type MessResponse struct {
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
}

func (m *MessResponse) Reset()                    { *m = MessResponse{} }
func (m *MessResponse) String() string            { return proto.CompactTextString(m) }
func (*MessResponse) ProtoMessage()               {}
func (*MessResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *MessResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type ContactRequest struct {
	Contact *model.Contact `protobuf:"bytes,1,opt,name=contact" json:"contact,omitempty"`
}

func (m *ContactRequest) Reset()                    { *m = ContactRequest{} }
func (m *ContactRequest) String() string            { return proto.CompactTextString(m) }
func (*ContactRequest) ProtoMessage()               {}
func (*ContactRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *ContactRequest) GetContact() *model.Contact {
	if m != nil {
		return m.Contact
	}
	return nil
}

func init() {
	proto.RegisterType((*MessResponse)(nil), "rrs.MessResponse")
	proto.RegisterType((*ContactRequest)(nil), "rrs.ContactRequest")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for PhoneBook service

type PhoneBookClient interface {
	SetAllContactsInBolt(ctx context.Context, opts ...grpc.CallOption) (PhoneBook_SetAllContactsInBoltClient, error)
}

type phoneBookClient struct {
	cc *grpc.ClientConn
}

func NewPhoneBookClient(cc *grpc.ClientConn) PhoneBookClient {
	return &phoneBookClient{cc}
}

func (c *phoneBookClient) SetAllContactsInBolt(ctx context.Context, opts ...grpc.CallOption) (PhoneBook_SetAllContactsInBoltClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_PhoneBook_serviceDesc.Streams[0], c.cc, "/rrs.PhoneBook/SetAllContactsInBolt", opts...)
	if err != nil {
		return nil, err
	}
	x := &phoneBookSetAllContactsInBoltClient{stream}
	return x, nil
}

type PhoneBook_SetAllContactsInBoltClient interface {
	Send(*ContactRequest) error
	CloseAndRecv() (*MessResponse, error)
	grpc.ClientStream
}

type phoneBookSetAllContactsInBoltClient struct {
	grpc.ClientStream
}

func (x *phoneBookSetAllContactsInBoltClient) Send(m *ContactRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *phoneBookSetAllContactsInBoltClient) CloseAndRecv() (*MessResponse, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(MessResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// Server API for PhoneBook service

type PhoneBookServer interface {
	SetAllContactsInBolt(PhoneBook_SetAllContactsInBoltServer) error
}

func RegisterPhoneBookServer(s *grpc.Server, srv PhoneBookServer) {
	s.RegisterService(&_PhoneBook_serviceDesc, srv)
}

func _PhoneBook_SetAllContactsInBolt_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(PhoneBookServer).SetAllContactsInBolt(&phoneBookSetAllContactsInBoltServer{stream})
}

type PhoneBook_SetAllContactsInBoltServer interface {
	SendAndClose(*MessResponse) error
	Recv() (*ContactRequest, error)
	grpc.ServerStream
}

type phoneBookSetAllContactsInBoltServer struct {
	grpc.ServerStream
}

func (x *phoneBookSetAllContactsInBoltServer) SendAndClose(m *MessResponse) error {
	return x.ServerStream.SendMsg(m)
}

func (x *phoneBookSetAllContactsInBoltServer) Recv() (*ContactRequest, error) {
	m := new(ContactRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _PhoneBook_serviceDesc = grpc.ServiceDesc{
	ServiceName: "rrs.PhoneBook",
	HandlerType: (*PhoneBookServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SetAllContactsInBolt",
			Handler:       _PhoneBook_SetAllContactsInBolt_Handler,
			ClientStreams: true,
		},
	},
	Metadata: "StreamOneContactsFromManyFiles/rrs/phoneBookRRS.proto",
}

func init() {
	proto.RegisterFile("StreamOneContactsFromManyFiles/rrs/phoneBookRRS.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 219 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x8e, 0x41, 0x4b, 0x03, 0x31,
	0x10, 0x85, 0x8d, 0x82, 0xa5, 0x51, 0x0a, 0x46, 0x0f, 0x4b, 0x4f, 0x65, 0x4f, 0x39, 0xa5, 0x50,
	0xf1, 0xd2, 0x9b, 0x2b, 0x14, 0x3c, 0x94, 0x4a, 0xf2, 0x0b, 0xe2, 0x3a, 0xa8, 0x98, 0x64, 0xd6,
	0x99, 0xe9, 0xc1, 0x7f, 0x2f, 0x6c, 0x0d, 0xea, 0xa9, 0xc7, 0xbc, 0xcc, 0x7b, 0xdf, 0xa7, 0xef,
	0x82, 0x10, 0xc4, 0xbc, 0x2b, 0xf0, 0x80, 0x45, 0x62, 0x2f, 0xbc, 0x21, 0xcc, 0xdb, 0x58, 0xbe,
	0x36, 0xef, 0x09, 0x78, 0x49, 0xc4, 0xcb, 0xe1, 0x0d, 0x0b, 0x74, 0x88, 0x1f, 0xde, 0x07, 0x37,
	0x10, 0x0a, 0x9a, 0x33, 0x22, 0x9e, 0xaf, 0x8f, 0x74, 0x33, 0xbe, 0x40, 0xfa, 0x6d, 0x07, 0xa1,
	0x7d, 0x2f, 0x87, 0x81, 0xd6, 0xea, 0xcb, 0x2d, 0x30, 0x7b, 0xe0, 0x01, 0x0b, 0x83, 0x69, 0xf4,
	0x24, 0x03, 0x73, 0x7c, 0x85, 0xe6, 0x74, 0xa1, 0xec, 0xd4, 0xd7, 0x67, 0xbb, 0xd6, 0xb3, 0x9f,
	0x79, 0x0f, 0x9f, 0x7b, 0x60, 0x31, 0x56, 0x4f, 0xfa, 0x43, 0xd2, 0xa8, 0x85, 0xb2, 0x17, 0xab,
	0x99, 0x1b, 0x51, 0xae, 0xde, 0xd5, 0xef, 0xd5, 0x4e, 0x4f, 0x9f, 0x2a, 0xde, 0x74, 0xfa, 0x26,
	0x80, 0xdc, 0xa7, 0x54, 0x6d, 0x1f, 0x4b, 0x87, 0x49, 0xcc, 0xb5, 0x23, 0x62, 0xf7, 0x9f, 0x31,
	0xbf, 0x1a, 0xc3, 0xbf, 0x8a, 0xed, 0x89, 0x55, 0xcf, 0xe7, 0xa3, 0xfd, 0xed, 0x77, 0x00, 0x00,
	0x00, 0xff, 0xff, 0xf1, 0x2f, 0x34, 0x96, 0x37, 0x01, 0x00, 0x00,
}
